Server Actions
messages
5 Server Actions du domaine messages, générées depuis le registre de l’API agent.
messages__loadOlderVendorMessagesAction
| Argument | Type | Requis |
|---|---|---|
publicId | string | oui |
before | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "messages__loadOlderVendorMessagesAction",
"args": [
"<publicId>",
"<before>"
]
}'messages__markVendorThreadReadAction
| Argument | Type | Requis |
|---|---|---|
publicId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "messages__markVendorThreadReadAction",
"args": [
"<publicId>"
]
}'messages__saveMessagingSettingsAction
| Argument | Type | Requis |
|---|---|---|
entityId | string | oui |
config | unknown | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "messages__saveMessagingSettingsAction",
"args": [
"<entityId>",
"<config>"
]
}'messages__sendVendorMessageAction
| Argument | Type | Requis |
|---|---|---|
publicId | string | oui |
body | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "messages__sendVendorMessageAction",
"args": [
"<publicId>",
"<body>"
]
}'messages__setVendorThreadStatusAction
| Argument | Type | Requis |
|---|---|---|
publicId | string | oui |
status | ThreadStatus | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "messages__setVendorThreadStatusAction",
"args": [
"<publicId>",
"<status>"
]
}'